Arbor 3: FSM & BT Graph Editor 3.6.0

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Properties | Events | List of all members
Parameter Class Reference

Class of Parameter to be stored in the ParameterContainer. More...

## Public Types
enum | Type { Int, Float, Bool, GameObject, String, Enum, Vector2 = 1000, Vector3, Quaternion, Rect, Bounds, Color, Transform = 2000, RectTransform, Rigidbody, Rigidbody2D, Component, Long, Variable = 3000 }
| Parameter type. More...

## Public Member Functions
delegate void | DelegateOnChanged (Parameter parameter)
| Delegate called when changing Parameter. More...
void | OnChanged ()
| Call when you change the value. More...
bool | SetFloat (float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (out float value)
| Get the value of the Float type. More...
float | GetFloat (float defaultValue=default(float))
| Get the value of the Float type. More...
bool | SetInt (int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (out int value)
| Get the value of the Int type. More...
int | GetInt (int defaultValue=default(int))
| Get the value of the Int type. More...
bool | SetLong (long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (out long value)
| Get the value of the Long type. More...
long | GetLong (long defaultValue=default(long))
| Get the value of the Long type. More...
bool | SetBool (bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (out bool value)
| Get the value of the Bool type. More...
bool | GetBool (bool defaultValue=default(bool))
| Get the value of the Bool type. More...
bool | SetString (string value)
| It wants to set the value of the String type. More...
bool | TryGetString (out string value)
| Get the value of the String type. More...
string | GetString (string defaultValue="")
| Get the value of the String type. More...
bool | SetEnumInt (int value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnumInt (out int value)
| Get the value of the Enum type. More...
int | GetEnumInt (int defaultValue=default(int))
| Get the value of the Enum type. More...
bool | SetEnum (System.Enum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum (out System.Enum value)
| Get the value of the Enum type. More...
System.Enum | GetEnum (System.Enum defaultValue=null)
| Get the value of the Enum type. More...
bool | SetEnum< TEnum > (TEnum value)
| Set Enum value More...
bool | TryGetEnum< TEnum > (out TEnum value)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > ()
| Get the value of the Enum type. More...
bool | SetVector2 (Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 ()
| Get the value of the Vector2 type. More...
bool | SetVector3 (Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 ()
| Get the value of the Vector3 type. More...
bool | SetQuaternion (Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion ()
| Get the value of the Quaternion type. More...
bool | SetRect (Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect ()
| Get the value of the Rect type. More...
bool | SetBounds (Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds ()
| Get the value of the Bounds type. More...
bool | SetColor (Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (out Color value)
| Get the value of the Color type. More...
Color | GetColor (Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor ()
| Get the value of the Color type. More...
bool | SetGameObject (GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | SetTransform (Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | SetRectTransform (RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | SetComponent (Component value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent (out Component value)
| Get the value of the Component type. More...
Component | GetComponent (Component defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponent< TComponent > (TComponent value)
| Set Component value More...
bool | TryGetComponent< TComponent > (out TComponent value)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetVariable (object value)
| Set Variable value More...
bool | TryGetVariable (out object value)
| Get the value of the Variable type. More...
object | GetVariable (object defaultValue=null)
| Get Variable value More...
bool | SetVariable< TVariable > (TVariable value)
| Set Variable value More...
bool | TryGetVariable< TVariable > (out TVariable value)
| Get the value of the Variable type. More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Get Variable value More...
bool | GetVariable< TVariable > (ref TVariable value)
| Get Variable value More...
override string | ToString ()
| Convert value to string format. More...
string | ToString (string format)
| Convert value to string format. More...

## Static Public Member Functions
static System.Type | GetValueType (Parameter.Type type, System.Type referenceType=null)
| Get the value type of the parameter. More...

## Public Attributes
ParameterContainerInternal | container
| Container this parameter is stored. More...
int | id
| ID. More...
Type | type
| Type. More...
string | name
| Name. More...
ClassTypeReference | referenceType = new ClassTypeReference()
| the type of objectReferenceValue and Enum. More...

## Properties
ClassTypeReference | componentType`[get, set]`
| Component type More...
bool | isPublicSet`[get]`
| Returns whether this parameter can be set from an external graph. More...
bool | isPublicGet`[get]`
| Returns whether this parameter can be get from an external graph. More...
int | intValue`[get, set]`
| Value of Int type. More...
long | longValue`[get, set]`
| Value of Long type. More...
float | floatValue`[get, set]`
| Value of Float type. More...
bool | boolValue`[get, set]`
| Value of Bool type. More...
string | stringValue`[get, set]`
| Value of String type. More...
bool | isEnum`[get]`
| Returns whether this parameter is of type Enum. More...
int | enumIntValue`[get, set]`
| int Value of Enum type. More...
System.Enum | enumValue`[get, set]`
| Value of Enum type. More...
Vector2 | vector2Value`[get, set]`
| Value of Vector2 type. More...
Vector3 | vector3Value`[get, set]`
| Value of Vector3 type. More...
Quaternion | quaternionValue`[get, set]`
| Value of Quaternion type. More...
Rect | rectValue`[get, set]`
| Value of Rect type. More...
Bounds | boundsValue`[get, set]`
| Value of Bounds type. More...
Color | colorValue`[get, set]`
| Value of Color type. More...
Object | objectReferenceValue`[get, set]`
| Value of Object type. More...
GameObject | gameObjectValue`[get, set]`
| Value of GameObject type. More...
Component | componentValue`[get, set]`
| Value of Component type. More...
Transform | transformValue`[get, set]`
| Value of Transform type. More...
RectTransform | rectTransformValue`[get, set]`
| Value of RectTransform type. More...
Rigidbody | rigidbodyValue`[get, set]`
| Value of Rigidbody type. More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Value of Rigidbody2D type. More...
VariableBase | variableObject`[get, set]`
| Object that contains Variable. More...
object | variableValue`[get, set]`
| Value of Variable type. More...
System.Type | valueType`[get]`
| Get value type. More...
object | value`[get, set]`
| Get values according to type. More...

## Events
DelegateOnChanged | onChanged
| Callback function to be called when the value is changed. More...

## Detailed Description

Class of Parameter to be stored in the ParameterContainer.

## Member Enumeration Documentation

## ◆ Type

enum Type
| strong

Parameter type.

Enumerator
Int | Int type.
Float | Float type.
Bool | Bool type.
GameObject | GameObject type.
String | String type.
Enum | Enum type.
Vector2 | Vector2 type.
Vector3 | Vector3 type.
Quaternion | Quaternion type.
Rect | Rect type.
Bounds | Bounds type.
Color | Color type.
Transform | Transform type.
RectTransform | RectTransform type.
Rigidbody | Rigidbody type.
Rigidbody2D | Rigidbody2D type.
Component | Component type.
Long | Long type.
Variable | Variable type.

## Member Function Documentation

## ◆ DelegateOnChanged()

delegate void DelegateOnChanged | ( | Parameter | parameter | ) |

Delegate called when changing Parameter.

Parameters

  parameter | Parameter

## ◆ GetBool()

bool GetBool | ( | bool | defaultValue = `default(bool)` | ) |

Get the value of the Bool type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [1/2]

Bounds GetBounds | ( | Bounds | defaultValue | ) |

Get the value of the Bounds type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetBounds() [2/2]

Bounds GetBounds | ( |  | ) |

Get the value of the Bounds type.

Returns
  The value of the parameter. If there is no parameter, it returns 0 bounds.

## ◆ GetColor() [1/2]

Color GetColor | ( | Color | defaultValue | ) |

Get the value of the Color type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetColor() [2/2]

Color GetColor | ( |  | ) |

Get the value of the Color type.

Returns
  The value of the parameter. If there is no parameter, it returns Color.white.

## ◆ GetComponent()

Component GetComponent | ( | Component | defaultValue = `null` | ) |

Get the value of the Component type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetComponent< TComponent >()

TComponent GetComponent< TComponent > | ( | TComponent | defaultValue = `null` | ) |

Get the value of the Component type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TComponent | : | Component |

## ◆ GetEnum()

System.Enum GetEnum | ( | System.Enum | defaultValue = `null` | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetEnum< TEnum >() [1/2]

TEnum GetEnum< TEnum > | ( | TEnum | defaultValue | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

Type Constraints

  TEnum | : | struct |

## ◆ GetEnum< TEnum >() [2/2]

TEnum GetEnum< TEnum > | ( |  | ) |

Get the value of the Enum type.

Returns
  The value of the parameter. If there is no parameter, it returns default(TEnum).

Type Constraints

  TEnum | : | struct |

## ◆ GetEnumInt()

int GetEnumInt | ( | int | defaultValue = `default(int)` | ) |

Get the value of the Enum type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetFloat()

float GetFloat | ( | float | defaultValue = `default(float)` | ) |

Get the value of the Float type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetGameObject()

GameObject GetGameObject | ( | GameObject | defaultValue = `null` | ) |

Get the value of the GameObject type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetInt()

int GetInt | ( | int | defaultValue = `default(int)` | ) |

Get the value of the Int type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetLong()

long GetLong | ( | long | defaultValue = `default(long)` | ) |

Get the value of the Long type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternion() [1/2]

Quaternion GetQuaternion | ( | Quaternion | defaultValue | ) |

Get the value of the Quaternion type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetQuaternion() [2/2]

Quaternion GetQuaternion | ( |  | ) |

Get the value of the Quaternion type.

Returns
  The value of the parameter. If there is no parameter, it returns Quaternion.identity.

## ◆ GetRect() [1/2]

Rect GetRect | ( | Rect | defaultValue | ) |

Get the value of the Rect type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRect() [2/2]

Rect GetRect | ( |  | ) |

Get the value of the Rect type.

Returns
  The value of the parameter. If there is no parameter, it returns Rect(0, 0, 0, 0).

## ◆ GetRectTransform()

RectTransform GetRectTransform | ( | RectTransform | defaultValue = `null` | ) |

Get the value of the RectTransform type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody()

Rigidbody GetRigidbody | ( | Rigidbody | defaultValue = `null` | ) |

Get the value of the Rigidbody type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetRigidbody2D()

Rigidbody2D GetRigidbody2D | ( | Rigidbody2D | defaultValue = `null` | ) |

Get the value of the Rigidbody2D type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetString()

string GetString | ( | string | defaultValue = `""` | ) |

Get the value of the String type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetTransform()

Transform GetTransform | ( | Transform | defaultValue = `null` | ) |

Get the value of the Transform type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetValueType()

static System.Type GetValueType | ( | Parameter.Type | type,
|  | System.Type | referenceType = `null`
| ) |  |
| static

Get the value type of the parameter.

Parameters

  type | Type of parameter
  referenceType | Reference type (used for Enum, Component, Variable)

Returns
  Value type of the parameter

## ◆ GetVariable()

object GetVariable | ( | object | defaultValue = `null` | ) |

Get Variable value

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ GetVariable< TVariable >() [1/2]

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  defaultValue | Default value. Returned if acquisition failed.

Returns
  Value of Variable. If acquisition fails, it returns defaultValue.

## ◆ GetVariable< TVariable >() [2/2]

bool GetVariable< TVariable > | ( | ref TVariable | value | ) |

Get Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

Returns
  Succeeds if true, failure if false

## ◆ GetVector2() [1/2]

Vector2 GetVector2 | ( | Vector2 | defaultValue | ) |

Get the value of the Vector2 type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector2() [2/2]

Vector2 GetVector2 | ( |  | ) |

Get the value of the Vector2 type.

Returns
  The value of the parameter. If there is no parameter, it returns Vector2.zero.

## ◆ GetVector3() [1/2]

Vector3 GetVector3 | ( | Vector3 | defaultValue | ) |

Get the value of the Vector3 type.

Parameters

  defaultValue | Default value. It is returned when there is no parameter.

Returns
  The value of the parameter. If there is no parameter, it returns defaultValue.

## ◆ GetVector3() [2/2]

Vector3 GetVector3 | ( |  | ) |

Get the value of the Vector3 type.

Returns
  The value of the parameter. If there is no parameter, it returns Vector3.zero.

## ◆ OnChanged()

void OnChanged | ( |  | ) |

Call when you change the value.

## ◆ SetBool()

bool SetBool | ( | bool | value | ) |

It wants to set the value of the Bool type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetBounds()

bool SetBounds | ( | Bounds | value | ) |

It wants to set the value of the Bounds type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetColor()

bool SetColor | ( | Color | value | ) |

It wants to set the value of the Color type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetComponent()

bool SetComponent | ( | Component | value | ) |

It wants to set the value of the Component type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetComponent< TComponent >()

bool SetComponent< TComponent > | ( | TComponent | value | ) |

Set Component value

Parameters

  value | Value

Type Constraints

  TComponent | : | Component |

## ◆ SetEnum()

bool SetEnum | ( | System.Enum | value | ) |

It wants to set the value of the Enum type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetEnum< TEnum >()

bool SetEnum< TEnum > | ( | TEnum | value | ) |

Set Enum value

Parameters

  value | Value

Returns
  Return true if the value could be set.

Type Constraints

  TEnum | : | struct |

## ◆ SetEnumInt()

bool SetEnumInt | ( | int | value | ) |

It wants to set the value of the Enum type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetFloat()

bool SetFloat | ( | float | value | ) |

It wants to set the value of the Float type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetGameObject()

bool SetGameObject | ( | GameObject | value | ) |

It wants to set the value of the GameObject type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetInt()

bool SetInt | ( | int | value | ) |

It wants to set the value of the Int type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetLong()

bool SetLong | ( | long | value | ) |

It wants to set the value of the Long type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetQuaternion()

bool SetQuaternion | ( | Quaternion | value | ) |

It wants to set the value of the Quaternion type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRect()

bool SetRect | ( | Rect | value | ) |

It wants to set the value of the Rect type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRectTransform()

bool SetRectTransform | ( | RectTransform | value | ) |

It wants to set the value of the RectTransform type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRigidbody()

bool SetRigidbody | ( | Rigidbody | value | ) |

It wants to set the value of the Rigidbody type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetRigidbody2D()

bool SetRigidbody2D | ( | Rigidbody2D | value | ) |

It wants to set the value of the Rigidbody2D type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetString()

bool SetString | ( | string | value | ) |

It wants to set the value of the String type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetTransform()

bool SetTransform | ( | Transform | value | ) |

It wants to set the value of the Transform type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVariable()

bool SetVariable | ( | object | value | ) |

Set Variable value

Parameters

  value | Value

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Set Variable value

Template Parameters

  TVariable | Variable value type

Parameters

  value | Value

## ◆ SetVector2()

bool SetVector2 | ( | Vector2 | value | ) |

It wants to set the value of the Vector2 type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ SetVector3()

bool SetVector3 | ( | Vector3 | value | ) |

It wants to set the value of the Vector3 type.

Parameters

  value | Value.

Returns
  Return true if the value could be set.

## ◆ ToString() [1/2]

override string ToString | ( |  | ) |

Convert value to string format.

Returns
  Converted string

## ◆ ToString() [2/2]

string ToString | ( | string | format | ) |

Convert value to string format.

Parameters

  format | Numeric format string (Int, Long, Float only)

Returns
  Converted string

For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

## ◆ TryGetBool()

bool TryGetBool | ( | out bool | value | ) |

Get the value of the Bool type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetBounds()

bool TryGetBounds | ( | out Bounds | value | ) |

Get the value of the Bounds type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetColor()

bool TryGetColor | ( | out Color | value | ) |

Get the value of the Color type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetComponent()

bool TryGetComponent | ( | out Component | value | ) |

Get the value of the Component type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetComponent< TComponent >()

bool TryGetComponent< TComponent > | ( | out TComponent | value | ) |

Get the value of the Component type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

Type Constraints

  TComponent | : | Component |

## ◆ TryGetEnum()

bool TryGetEnum | ( | out System.Enum | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetEnum< TEnum >()

bool TryGetEnum< TEnum > | ( | out TEnum | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

Type Constraints

  TEnum | : | struct |

## ◆ TryGetEnumInt()

bool TryGetEnumInt | ( | out int | value | ) |

Get the value of the Enum type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetFloat()

bool TryGetFloat | ( | out float | value | ) |

Get the value of the Float type.

Parameters

  value | The value you get.

Returns
  Return true if the value can be obtained.

## ◆ TryGetGameObject()

bool TryGetGameObject | ( | out GameObject | value | ) |

Get the value of the GameObject type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetInt()

bool TryGetInt | ( | out int | value | ) |

Get the value of the Int type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetLong()

bool TryGetLong | ( | out long | value | ) |

Get the value of the Long type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetQuaternion()

bool TryGetQuaternion | ( | out Quaternion | value | ) |

Get the value of the Quaternion type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRect()

bool TryGetRect | ( | out Rect | value | ) |

Get the value of the Rect type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRectTransform()

bool TryGetRectTransform | ( | out RectTransform | value | ) |

Get the value of the RectTransform type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRigidbody()

bool TryGetRigidbody | ( | out Rigidbody | value | ) |

Get the value of the Rigidbody type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetRigidbody2D()

bool TryGetRigidbody2D | ( | out Rigidbody2D | value | ) |

Get the value of the Rigidbody2D type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetString()

bool TryGetString | ( | out string | value | ) |

Get the value of the String type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetTransform()

bool TryGetTransform | ( | out Transform | value | ) |

Get the value of the Transform type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVariable()

bool TryGetVariable | ( | out object | value | ) |

Get the value of the Variable type.

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVariable< TVariable >()

bool TryGetVariable< TVariable > | ( | out TVariable | value | ) |

Get the value of the Variable type.

Template Parameters

  TVariable | Variable value type

Parameters

  value | The value you get.

Returns
  Returns true if it succeeds.

## ◆ TryGetVector2()

bool TryGetVector2 | ( | out Vector2 | value | ) |

Get the value of the Vector2 type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## ◆ TryGetVector3()

bool TryGetVector3 | ( | out Vector3 | value | ) |

Get the value of the Vector3 type.

Parameters

  value | Value.

Returns
  Return true if the value can be obtained.

## Member Data Documentation

## ◆ container

ParameterContainerInternal container

Container this parameter is stored.

## ◆ id

int id

ID.

## ◆ name

string name

Name.

## ◆ referenceType

ClassTypeReference referenceType = new ClassTypeReference()

the type of objectReferenceValue and Enum.

## ◆ type

Type type

Type.

## Property Documentation

## ◆ boolValue

bool boolValue
| get set

Value of Bool type.

## ◆ boundsValue

Bounds boundsValue
| get set

Value of Bounds type.

## ◆ colorValue

Color colorValue
| get set

Value of Color type.

## ◆ componentType

ClassTypeReference componentType
| get set

Component type

## ◆ componentValue

Component componentValue
| get set

Value of Component type.

## ◆ enumIntValue

int enumIntValue
| get set

int Value of Enum type.

## ◆ enumValue

System.Enum enumValue
| get set

Value of Enum type.

## ◆ floatValue

float floatValue
| get set

Value of Float type.

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

Value of GameObject type.

## ◆ intValue

int intValue
| get set

Value of Int type.

## ◆ isEnum

bool isEnum
| get

Returns whether this parameter is of type Enum.

## ◆ isPublicGet

bool isPublicGet
| get

Returns whether this parameter can be get from an external graph.

(For parameters in graph)

## ◆ isPublicSet

bool isPublicSet
| get

Returns whether this parameter can be set from an external graph.

(For parameters in graph)

## ◆ longValue

long longValue
| get set

Value of Long type.

## ◆ objectReferenceValue

Object objectReferenceValue
| get set

Value of Object type.

## ◆ quaternionValue

Quaternion quaternionValue
| get set

Value of Quaternion type.

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

Value of RectTransform type.

## ◆ rectValue

Rect rectValue
| get set

Value of Rect type.

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Value of Rigidbody2D type.

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Value of Rigidbody type.

## ◆ stringValue

string stringValue
| get set

Value of String type.

## ◆ transformValue

Transform transformValue
| get set

Value of Transform type.

## ◆ value

object value
| get set

Get values according to type.

## ◆ valueType

System.Type valueType
| get

Get value type.

## ◆ variableObject

VariableBase variableObject
| get set

Object that contains Variable.

## ◆ variableValue

object variableValue
| get set

Value of Variable type.

## ◆ vector2Value

Vector2 vector2Value
| get set

Value of Vector2 type.

## ◆ vector3Value

Vector3 vector3Value
| get set

Value of Vector3 type.

## Event Documentation

## ◆ onChanged

DelegateOnChanged onChanged

Callback function to be called when the value is changed.